% =========================================================================
% Code for "Pandemic Recessions and Contact Tracing"
% by Leonardo Melosi and Matthias Rottner
% Journal of the European Economic Association, forthcoming
% This code generates Figure 4 (it is called within the file main_run.m)
% =========================================================================

load Simulations/muc_sol_trace_unbounded_HH150 muc_sol_trace_unbounded_HH150
load Simulations/muc_sol_trace_unlimitedtests_HH150 muc_sol_trace_unlimitedtests_HH150
load Simulations/muc_sol_trace_unbounded_HH30 muc_sol_trace_unbounded_HH30
load Simulations/muc_sol_trace_unlimitedtests_HH30 muc_sol_trace_unlimitedtests_HH30

opts.Colors     = get(groot,'defaultAxesColorOrder');
opts.saveFolder = 'Figures/';
opts.width      = 17;
opts.height     = 10;
opts.fontType   = 'Times New Roman';
opts.fontSize   = 9;
set(0,'DefaultFigureRenderer','painters');set(0,'DefaultLineLineWidth',1.5);set(0,'DefaultLineMarkerSize',4)

fig = figure; clf
hold on;grid on; grid minor;box on;
plot(1:150,muc_sol_trace_unbounded_HH150,'b')
plot(1:30,muc_sol_trace_unbounded_HH30,'b--') 
plot(1:150,muc_sol_trace_unlimitedtests_HH150,'r') 
plot([1:3:30 30],muc_sol_trace_unlimitedtests_HH30([1:3:30 30]),'r--','MarkerSize',3)
plot(1:30,muc_sol_trace_unlimitedtests_HH30,'r--')
plot([30,30],[0 0.4],'k:','LineWidth',1.25)
legend('Long Social Distancing & Limited Tests','Short Social Distancing & Limited Tests','Long Social Distancing & Unlimited Tests','Short Social Distancing & Unlimited Tests','Location','SouthEast')
ylabel('Consumption Tax \mu_{c}^L')
fig.Units               = 'centimeters';
fig.Position(3)         = opts.width;
fig.Position(4)         = opts.height;

print([opts.saveFolder 'Figure4_MR_JEEA'], '-dpng', '-r600')
print([opts.saveFolder 'Figure4_MR_JEEA'], '-depsc2', '-r600')

