% =========================================================================
% Code for "Pandemic Recessions and Contact Tracing"
% by Leonardo Melosi and Matthias Rottner
% Journal of the European Economic Association, forthcoming
% =========================================================================

function MIN = eqm_SIRAC_microfounded_BR_Exposure(x,t,pf,P) 

% Preallocate function output
R = zeros(size(x));
Rdim = size(R,2);

MIN=NaN*ones(4,Rdim);
    for j = 1:Rdim  
        % Policy Function Guesses
        pf_up_n_r    = x(1,j); 
        pf_up_n_i    = x(2,j);
        pf_up_n_s  = x(3,j); 
        pf_up_n_c  = x(4,j); 
        pf_up_n_q  = x(5,j); 

      MIN(1,j) = (1+P.alpha_c*pf.lambda_c(t,1))*pf.c_i(t,1)-  (P.phi*pf.w(t,1)*pf_up_n_i ); 


        MIN(2,j) = pf.lambda_c(t,1).*( pf.S(t,1)*pf.c_s(t,1) +   pf.RI(t,1)*pf.c_r(t,1) + pf.RA(t,1)*pf.c_s(t,1) + ...
            pf.A(t,1)*pf.c_s(t,1) + P.alpha_c*pf.I(t,1)*pf.c_i(t,1) + P.alpha_c*pf.C(t,1)*pf.c_c(t,1)   ) - ...
              ((1+pf.lambda_c(t,1))*pf.c_r(t,1) - pf.w(t,1)*pf_up_n_r)*(pf.S(t,1)+pf.R(t,1) + pf.A(t,1)) ;

        MIN(3,j) = -P.theta*pf_up_n_s.^(1/P.eta-1) + pf.w(t,1)*pf.lambdab_s(t,1) + pf.lambdatau_s(t,1)*pf.pi_s2(t,1)*(pf.A(t,1)*pf.n_s(t,1)./pf.N_Meet(t,1));  

        MIN(4,j) = (1+P.alpha_c*pf.lambda_c(t,1)).*pf.c_c(t,1) - ( P.phi_c*pf.w(t,1)*pf_up_n_c);

        MIN(5,j) = (1+P.alpha_c*pf.lambda_c(t,1)).*pf.c_q(t,1) - ( P.phi_q*pf.w(t,1)*pf_up_n_q);

    end

end